Bug 474324 - "Follow up" flags are lost
"Follow up" flags are lost
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-03 05:46 EST by Miloslav Trmač
Modified: 2009-03-07 10:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-07 10:13:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmač 2008-12-03 05:46:52 EST
Description of problem:
Sometimes some of the "follow up" flags are lost.  Usually this affects only some e-mails in a folder, and I don't know what causes the data loss so far.

Last time this happened, I have closed all Evolution windows while "filtering new messages" was in the status bar - not killed Evolution, just cleanly closed all windows and shut down the computer after they all disappeared.  On next boot I got about 200 mails that were previously marked as Junk back in my inbox, and Follow up flags from the same time frame were reset.

I'm afraid this bug report is next to useless, but perhaps you can make an educated guess...

Version-Release number of selected component (if applicable):
evolution-2.24.1-2.fc10.x86_64
evolution-data-server-2.24.1-2.fc10.x86_64
Comment 1 Milan Crha 2009-01-07 12:55:54 EST
Was it on an IMAP account/folder? There were some changes in 2.23 to speed up exit of the application, by skipping some operations during it. I would check exactly to be sure.

My question is when was messages marked as junk and for a follow up? Was it within the session, where you closed Evolution during the "filtering messages" operation?
Comment 2 Miloslav Trmač 2009-01-07 13:01:46 EST
Yes, this is all on IMAP, with folder copies stored locally as well.

The lost status (junk, follow-up) was usually for all messages newer than X days, where X is somewhere between 2 and 7 - I'm not sure.  It certainly included status changes that happened _before_ the previous Evolution session.

BTW this has not happened to me recently.
Comment 3 Miloslav Trmač 2009-01-15 09:32:56 EST
> BTW this has not happened to me recently.
I shouldn't have said this ;)  I have experienced the problem several times this week.

Last time was after an Evolution crash.  Isn't the data supposed to be saved immediately?
Comment 4 Miloslav Trmač 2009-01-15 09:34:56 EST
Oh, and it always seems to choose a specific date and drop the flags and "junk" status of all newer messages.

This time the date is sometime in August 2008.
Comment 5 Mike Chambers 2009-03-07 09:48:37 EST
Is this still an ongoing problem?  Have you tried upgrading to the latest release?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Miloslav Trmač 2009-03-07 10:13:12 EST
This hasn't happened to me for some time now.  I have always used the latest Fedora 10 update.

Other than that, I have stopped connecting to a certain Zimbra IMAP server - but when the flags had been lost, they had been lost on all accounts.

Here's hoping it won't happen again...

Note You need to log in before you can comment on or make changes to this bug.